package me.qwq.doghouse.interfaces;

import me.qwq.doghouse.entity.Post;
import me.qwq.doghouse.enums.PostTypeEnum;

/**
 * 适用于需要验证文章密码的实体的接口，如文章、文章对应评论、文章对应资产等
 * @author Doghole
 *
 * @param <T> 接口实现类的类型
 */
public interface IPostPassMess<T> {
    
    String getPassword();
    T setPassword(String password);
    Long getPostId();
    String getPostPageName();
    PostTypeEnum getType();
    default String getLink() {
        return Post.getLink(getType(), getPostId(), getPostPageName());
    }

}
